#
# Cookbook Name:: ssh_user_keys
# Recipe:: default
# Author:: Boris Karaoglanov
# Contact:: boris@opsmag.com
# Web:: https://www.opsmag.com
# Copyright 2015, OpsMag.com
#
# All rights reserved - Do Not Redistribute
#

USERNAME=node['ssh_user_keys']['user']
HOMEDIR=node['ssh_user_keys']['user_home_dir']

directory "#{HOMEDIR}/.ssh" do
  owner USERNAME
  mode 00755
  action :create
end

template "#{HOMEDIR}/.ssh/config" do
  source "ssh_config.erb"
  owner USERNAME
  mode 00600
end

template "#{HOMEDIR}/.ssh/key_name_here" do
  source "key_name_here.private.erb"
  owner USERNAME
  mode 00400
end
